Update readme-check.sh (#2206)

This commit is contained in:
Guennadi Maximov C
2026-02-28 10:17:53 -06:00
committed by GitHub
parent 5b163e5a79
commit 98e570bce5
3 changed files with 17 additions and 7 deletions

View File

@@ -46,7 +46,7 @@ jobs:
uses: actions/checkout@v6
- name: Run readme-check.sh
run: |
./scripts/readme-check.sh -vc
./scripts/readme-check.sh -v
- name: Check if diff has changed
id: check_diff
run: |

View File

@@ -246,7 +246,7 @@ It has some [builtin plugins](https://neovim.io/doc/user/plugins.html#plugins) a
- [Aaronik/GPTModels.nvim](https://github.com/Aaronik/GPTModels.nvim) - GPTModels - a stable, clean, multi model, window based LLM AI tool.
- [Robitx/gp.nvim](https://github.com/Robitx/gp.nvim) - ChatGPT like sessions and instructable text/code operations in your favorite editor.
- [jackMort/ChatGPT.nvim](https://github.com/jackMort/ChatGPT.nvim) - Effortless Natural Language Generation with OpenAI's ChatGPT API.
- [wsdjeg/chat.nvim](https://github.com/wsdjeg/chat.nvim) - A lightweight, extensible chat plugin with AI integration, multiple providers, and built-in tools.
- [wsdjeg/chat.nvim](https://github.com/wsdjeg/chat.nvim) - A lightweight, extensible chat plugin with AI integration, multiple providers, and built-in tools.
- [CamdenClark/flyboy](https://github.com/CamdenClark/flyboy) - Simple interaction with ChatGPT in a Markdown buffer. Supports GPT-4 and Azure OpenAI.
- [gsuuon/model.nvim](https://github.com/gsuuon/model.nvim) - Integrate LLMs via a prompt builder interface. Multi-providers including OpenAI (+ compatibles), `PaLM`, `Hugging Face`, and local engines like `llamacpp`.
- [dense-analysis/neural](https://github.com/dense-analysis/neural) - Integrate LLMs for generating code, interacting with chat bots, and more.

View File

@@ -84,12 +84,13 @@ die() {
exit "$EC"
}
# Called if SIGINT (Ctrl-C) is detected. This is to ensure temporary files are cleaned correctly
# Called if SIGINT (Ctrl-C) is detected.
# This is to ensure temporary files are cleaned correctly
#
# The line below is to disable a "unused-function" warning type in shellcheck
# shellcheck disable=SC2329
die_sigint() {
die 1
die 130 "" "Aborted!"
}
# Print help message
@@ -274,7 +275,7 @@ check_api() {
# Check for bad & punctuation
check_punctuation() {
trap 'die_sigint' SIGINT
trap 'die_sigint' SIGINT # Will result in pressing Ctrl-C aborting safely
if [[ $LIST_SUPPORTED -eq 1 ]] || [[ $PUNCTUATION -eq 0 ]]; then
return 0
fi
@@ -593,9 +594,15 @@ check_vue() {
return 0
}
# Check for bad YouTube capitalizations
check_yt() {
fix_suspected_lines '[Yy][Oo][Uu][Tt][Uu][Bb][Ee]' 'YouTube' || return 1
return 0
}
# Remove any trailing spaces
check_trail_spaces() {
trap 'die_sigint' SIGINT
trap 'die_sigint' SIGINT # Will result in pressing Ctrl-C aborting safely
if [[ $LIST_SUPPORTED -eq 1 ]] || [[ $TRAIL_SPACES -eq 0 ]]; then
return 0
fi
@@ -635,7 +642,7 @@ check_trail_spaces() {
}
check_capitalizations() {
trap 'die_sigint' SIGINT
trap 'die_sigint' SIGINT # Will result in pressing Ctrl-C aborting safely
if [[ $LIST_SUPPORTED -eq 0 ]] && [[ $CAPITALIZATION -eq 0 ]]; then
return 0
fi
@@ -687,6 +694,7 @@ check_capitalizations() {
check_wsl || die 1 "Error while analyzing (WSL)"
check_xml || die 1 "Error while analyzing (XML)"
check_yaml || die 1 "Error while analyzing (YAML)"
check_yt || die 1 "Error while analyzing (YouTube)"
return 0
}
@@ -723,6 +731,7 @@ if [[ $USE_COLORS -eq 1 ]] && _cmd_exists 'tput'; then
RESET="$(tput sgr0)"
fi
# This will be the case when neither `-p`, `-c` nor `-t` have been passed
if [[ "${PUNCTUATION}${CAPITALIZATION}${TRAIL_SPACES}" == "000" ]]; then
PUNCTUATION=1
TRAIL_SPACES=1
@@ -733,6 +742,7 @@ check_capitalizations || die 1
check_punctuation || die 1
check_trail_spaces || die 1
# Will run if `-L` is passed
[[ $LIST_SUPPORTED -eq 1 ]] && print_sort "${SUPPORTED[@]}"
die 0